Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.render.servlets.jsp
Class PortletRenderHelper

    java.lang.Object
      |
      +--com.bea.portal.render.servlets.jsp.RenderHelper
            |
            +--com.bea.portal.render.servlets.jsp.PortletRenderHelper

public class PortletRenderHelper
extends RenderHelper

A helper class with static methods used to assist in rendering the portal's portlets.

Field Summary
`static String` | `CURRENT_PORTLET_KEY`

Constructor Summary
`PortletRenderHelper()`

Method Summary
`static boolean` | `isEditable(HttpServletRequest request)` Is the current portlet able to be edited
`static boolean` | `isFloatable(HttpServletRequest request)` Is the current portlet able to be floated
`static boolean` | `isInEditMode(HttpServletRequest request)` Is the current portlet in the edit mode
`static boolean` | `isMaximizable(HttpServletRequest request)` Is the current portlet able to be maximizable
`static boolean` | `isMaximized(HttpServletRequest request)` Is the current portlet in the maximized state
`static boolean` | `isMinimizable(HttpServletRequest request)` Is the current portlet able to be minimized
`static boolean` | `isMinimized(HttpServletRequest request)` Is the current portlet minimized

Methods inherited from class com.bea.portal.render.servlets.jsp.RenderHelper
`getPageIdentifier, getPageState, getPortalSession, getPortalState, getPortletIdentifier, getPortletState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_PORTLET_KEY

    public static final String CURRENT_PORTLET_KEY

See Also:
  Constant Field Values

Constructor Detail

### PortletRenderHelper

    public PortletRenderHelper()

Method Detail

### isMaximized

    public static boolean isMaximized(HttpServletRequest request)
                               throws JspException

  Is the current portlet in the maximized state

    `JspException`

### isMaximizable

    public static boolean isMaximizable(HttpServletRequest request)
                                 throws JspException

  Is the current portlet able to be maximizable

    `JspException`

### isInEditMode

    public static boolean isInEditMode(HttpServletRequest request)
                                throws JspException

  Is the current portlet in the edit mode

    `JspException`

### isEditable

    public static boolean isEditable(HttpServletRequest request)
                              throws JspException

  Is the current portlet able to be edited

    `JspException`

### isMinimized

    public static boolean isMinimized(HttpServletRequest request)
                               throws JspException

  Is the current portlet minimized

    `JspException`

### isMinimizable

    public static boolean isMinimizable(HttpServletRequest request)
                                 throws JspException

  Is the current portlet able to be minimized

    `JspException`

### isFloatable

    public static boolean isFloatable(HttpServletRequest request)
                               throws JspException

  Is the current portlet able to be floated

    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved